Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 311671 - lpinfo -l -v can't find make-and-model from any parallel printer
Summary: lpinfo -l -v can't find make-and-model from any parallel printer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 7
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: http://www.cups.org/str.php?L2535
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-09-28 20:25 UTC by Dick Marinus
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.2.12-5.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-24 07:04:10 UTC


Attachments (Terms of Use)

Description Dick Marinus 2007-09-28 20:25:25 UTC
# lpinfo -l -v

always gives:
...
Device: uri = parallel:/dev/lp0
        class = direct
        info = LPT #1
        make-and-model = Unknown
        device-id =
...

An unknown make-and-model.

I suppose LPIOC_GET_DEVICE_ID only works for USB printing devices.

Parallel devices should still be probed by the old code (as cups-1.1 did):
/proc/sys/dev/parport/parport%d/autoprobe

This is a strace on the parallel backend:
...
open("/dev/lp0", O_RDWR|O_EXCL|O_LARGEFILE) = 3
ioctl(3, SNDCTL_DSP_SYNC, 0xbfc44e3a)   = -1 EINVAL (Invalid argument)
...

I'm using Fedora 7 on a i686, 2.6.22.5-76.fc7

An older version of cups (1.1) worked with Fedora Core 4.

I've reported this bug at cups.org (see URL) and they answered:

"Please report this bug to Red Hat.  The ioctl() is supposed to work in current
kernels, and if it doesn't this is a kernel bug."

Comment 1 Dick Marinus 2007-10-09 14:30:35 UTC
I'm thinking of writing a kernel patch to implement this ioctl. How do you think
about this?

Comment 2 Tim Waugh 2007-10-09 15:17:56 UTC
Please hold off.  There was an implementation of this at one stage but it's been
taken out by the look of it.

Another solution is to use libieee1284.

Comment 3 Tim Waugh 2007-10-09 16:27:40 UTC
Fixed for F-8 using libieee1284: cups-1.3.3-2.fc8.  Keeping open for an F-7
backport.

Comment 4 Dick Marinus 2007-10-09 19:30:59 UTC
Very nice! Thank you so much!

Will you be sending this patch upstream? Michael Sweet (cups developer) insists
this is a kernel bug and he wants an ioctl.

http://www.cups.org/newsgroups.php?s4219+gcups.bugs+v4228+T0

Comment 5 Tim Waugh 2007-10-10 13:20:06 UTC
I've submitted the patch upstream and there will be a test update for F-7 shortly.

Comment 6 Fedora Update System 2007-10-11 01:47:39 UTC
cups-1.2.12-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'

Comment 7 Tim Waugh 2007-10-12 08:55:53 UTC
Please do test this and let me know if it works for you.  Thanks.

Comment 8 Fedora Update System 2007-10-24 07:04:09 UTC
cups-1.2.12-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Dick Marinus 2007-10-24 07:15:12 UTC
Sorry for my late reaction, it works like a charm... Thanks a lot!


Note You need to log in before you can comment on or make changes to this bug.